Get all deposits
https://api.propexo.com/v1/deposits/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
The external ID of the building (not necessarily the property) from the integration vendor
The external ID of the property from the integration vendor
The Propexo unique identifier for the lease
Whether the refund is due for the deposit
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the deposit
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
t0172032-petThe external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
3299The external ID of the resident from the integration vendor
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
t0172032The external ID of the building (not necessarily the property) from the integration vendor
This field will always be null for YARDI_REST
nullThe external type of the deposit from the integration vendor
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
PetThe external ID of the lease from the integration vendor
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
t0172032The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullThe amount charged in cents
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
100000The amount paid in cents
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
100000The amount refunded in cents
This field will always be null for YARDI_REST
nullNotes associated with the deposit
This field will always be null for YARDI_REST
nullThe refund amount due in cents
This field will always be null for YARDI_REST
nullcustom_data object | nullrequired
integration_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the lease
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
cm2dtyq1600008loze5xgf3fbThe Propexo unique identifier for the resident
| Method | Interface |
|---|---|
| /ItfResidentData/GetResidentData | Common Data |
cm2dtyq1600008loze5xgf3fbThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/deposits/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "t0172032-pet",
"x_property_id": "3299",
"x_resident_id": "t0172032",
"x_building_id": null,
"x_deposit_type": "Pet",
"x_lease_id": "t0172032",
"x_location_id": null,
"amount_charged_in_cents": 100000,
"amount_paid_in_cents": 100000,
"amount_refunded_in_cents": null,
"notes": null,
"refund_amount_due_in_cents": null,
"custom_data": "Unknown Type: object,null",
"integration_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"lease_id": "cm2dtyq1600008loze5xgf3fb",
"resident_id": "cm2dtyq1600008loze5xgf3fb",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}